SUMMARY: MODULE | CLASS | TYPE | PROC | VAR | CONST | DETAIL: TYPE | PROC | VAR | CONST

# ConvTypes

Common types used in the string conversion modules.

Class List
ScanDesc | The type of lexical scanning control procedures.

Class Summary: ScanDesc [Detail]
      +--ConvTypes.ScanDesc
The type of lexical scanning control procedures.
Field Summary
p: (ch: CHAR; VAR cl: ScanClass; VAR st: ScanState) A procedure that produces the next state corresponding to the character ch.

Type Summary
ConvResults = SHORTINT Values of this type are used to express the format of a string.
ScanClass = SHORTINT Values of this type are used to classify input to finite state scanners.

Constant Summary
invalid
padding A leading or padding character at this point in the scan--ignore it.
strAllRight The string format is correct for the corresponding conversion.
strEmpty The given string is empty.
strOutOfRange The string is well-formed but the value cannot be represented.
strWrongFormat The string is in the wrong format for the conversion.
terminator A terminating character at this point in the scan (not part of token).
valid A valid character at this point in the scan--accept it.

Class Detail: ScanDesc

Field Detail

### p

    FIELD p: (ch: CHAR;
     VAR cl: ScanClass;
     VAR st: ScanState)

> A procedure that produces the next state corresponding to the character ch. The class of the character is returned in cl, the next state in st.

Type Detail

### ConvResults

    TYPE ConvResults = SHORTINT

> Values of this type are used to express the format of a string.

### ScanClass

    TYPE ScanClass = SHORTINT

> Values of this type are used to classify input to finite state scanners.

Constant Detail

### invalid

    CONST invalid

### padding

    CONST padding

> A leading or padding character at this point in the scan--ignore it.

### strAllRight

    CONST strAllRight

> The string format is correct for the corresponding conversion.

### strEmpty

    CONST strEmpty

> The given string is empty.

### strOutOfRange

    CONST strOutOfRange

> The string is well-formed but the value cannot be represented.

### strWrongFormat

    CONST strWrongFormat

> The string is in the wrong format for the conversion.

### terminator

    CONST terminator

> A terminating character at this point in the scan (not part of token).

### valid

    CONST valid

> A valid character at this point in the scan--accept it.